org.apache.ignite.internal.processors.cache.version

## Class GridCacheLazyPlainVersionedEntry<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.version.GridCachePlainVersionedEntry<K,V>
  - - org.apache.ignite.internal.processors.cache.version.GridCacheLazyPlainVersionedEntry<K,V>

All Implemented Interfaces:
  GridCacheVersionable, GridCacheVersionedEntry<K,V>, GridCacheVersionedEntryEx<K,V>

    public class GridCacheLazyPlainVersionedEntry<K,V>
    extends GridCachePlainVersionedEntry<K,V>

Lazy plain versioned entry.

### Field Summary

Fields
`protected GridCacheContext` `cctx` Cache context.

### Fields inherited from class org.apache.ignite.internal.processors.cache.version.GridCachePlainVersionedEntry

`key, val`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheLazyPlainVersionedEntry(GridCacheContext cctx, KeyCacheObject keyObj, CacheObject valObj, long ttl, long expireTime, GridCacheVersion ver, boolean keepBinary)`
`GridCacheLazyPlainVersionedEntry(GridCacheContext cctx, KeyCacheObject keyObj, CacheObject valObj, long ttl, long expireTime, GridCacheVersion ver, boolean isStartVer, boolean keepBinary)`

### Method Summary

All Methods Instance Methods Concrete Methods
`K` `key()` Gets entry's key.
`String` `toString()`
`V` `value(boolean keepBinary)` Returns the value stored in the cache when this entry was created.
`V` `value(CacheObjectValueContext ctx)` Gets entry's value.

### Methods inherited from class org.apache.ignite.internal.processors.cache.version.GridCachePlainVersionedEntry

`dataCenterId, expireTime, isStartVersion, order, topologyVersion, ttl, version`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cctx

    protected GridCacheContext cctx

Cache context.

### Constructor Detail

#### GridCacheLazyPlainVersionedEntry

    public GridCacheLazyPlainVersionedEntry(GridCacheContext cctx,
                                            KeyCacheObject keyObj,
                                            CacheObject valObj,
                                            long ttl,
                                            long expireTime,
                                            GridCacheVersion ver,
                                            boolean isStartVer,
                                            boolean keepBinary)

Parameters:
  `cctx` - Context.
  `keyObj` - Key.
  `valObj` - Value.
  `ttl` - TTL.
  `expireTime` - Expire time.
  `ver` - Version.
  `isStartVer` - Start version flag.
  `keepBinary` - Keep binary flag.

#### GridCacheLazyPlainVersionedEntry

    public GridCacheLazyPlainVersionedEntry(GridCacheContext cctx,
                                            KeyCacheObject keyObj,
                                            CacheObject valObj,
                                            long ttl,
                                            long expireTime,
                                            GridCacheVersion ver,
                                            boolean keepBinary)

### Method Detail

#### key

    public K key()

Gets entry's key.

Specified by:
  `key` in interface `GridCacheVersionedEntry<K,V>`
Overrides:
  `key` in class `GridCachePlainVersionedEntry<K,V>`
Returns:
  Entry's key.

#### value

    public V value(CacheObjectValueContext ctx)

Gets entry's value.

Specified by:
  `value` in interface `GridCacheVersionedEntry<K,V>`
Overrides:
  `value` in class `GridCachePlainVersionedEntry<K,V>`
Parameters:
  `ctx` - Object value context.
Returns:
  Entry's value.

#### value

    public V value(boolean keepBinary)

Returns the value stored in the cache when this entry was created.

Parameters:
  `keepBinary` - Flag to keep binary if needed.
Returns:
  the value corresponding to this entry

#### toString

    public String toString()

Overrides:
  `toString` in class `GridCachePlainVersionedEntry<K,V>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020